﻿-- =============================================
-- Script Template
-- IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = )
-- BEGIN
-- INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
--    VALUES (<ORDR_HOLD_REAS_ID, tinyint,>,<ORDR_HOLD_REAS_DES, varchar(100),>,<CREAT_DT, smalldatetime,>)
-- END
-- =============================================
 IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 1)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (1,'LCON not responding: e-mail or phone number',GETDATE())
 END 
 IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 2)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (2,'LCON not valid',GETDATE())
 END
 IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 3)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (3,'LCON not aware of order',GETDATE())
 END
 IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 4)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (4,'Customer request hold',GETDATE())
 END
 IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 5)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (5,'AM/Sales request hold',GETDATE())
 END  
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 6)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (6,'Pending acceptance of charges',GETDATE())
 END
 IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 7)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (7,'Pending approval for construction',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 8)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (8,'Pricing review due to change made on order',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 9)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (9,'LCON refused vendor when they went to install the circuit',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 10)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (10,'LCON to complete in-house wiring',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 11)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (11,'Missing/Incorrect demarcation provided',GETDATE())
 END  
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 12)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (12,'Feasibility issues',GETDATE())
 END
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 13)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (13,'Capacity issues/availability',GETDATE())
 END  
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 14)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (14,'NDD pending approval',GETDATE())
 END  
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 15)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (15,'Missing PVC parameter such as DLCI, CIR etc.',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 16)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (16,'Interface type discrepancy between ASR and GOM order',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 17)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (17,'Contract term discrepancy between ASR and GOM order',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 18)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (18,'Speed discrepancy between ASR and GOM order',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 19)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (19,'No ASR provided with GOM order',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 20)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (20,'No SCOF/PRS# provided with GOM order (IPL orders only) ',GETDATE())
 END
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 21)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (21,'Disconnects:  Pending vendor confirmation of early cancellation penalty charges',GETDATE())
 END 
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 22)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (22,'Disconnects:  Pending customer/acct team acceptance of early cancellation penalty charges',GETDATE())
 END
IF NOT EXISTS (SELECT * FROM [dbo].[LK_ORDR_HOLD_REAS] WHERE [ORDR_HOLD_REAS_ID] = 23)
 BEGIN
 INSERT INTO [COWS].[dbo].[LK_ORDR_HOLD_REAS]([ORDR_HOLD_REAS_ID],[ORDR_HOLD_REAS_DES],[CREAT_DT])
    VALUES (23,'Other - with text free form box',GETDATE())
 END


GO

